OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000276OMNeT++IDE / sequence chartpublic2011-03-30 23:062011-04-01 16:47
Reporterjsabater 
Assigned Tolevy 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.1 
Target VersionFixed in Version4.2 
Summary0000276: Sequence Chart "internal error..." when attaching Vector to Axis
DescriptionEverytime I try to attach an specific Vector to an specific Axis, the Sequence Chart crashes with: "internal error"

To reproduce, use the data log and results in the attached file (test.tar.gz) and
try to attach to: "Scenario.node[0].NIC.phy" the Vector "RadioState"
TagsNo tags attached.
Attached Filesgz file icon test.tar.gz [^] (21,126 bytes) 2011-03-30 23:06

- Relationships

-  Notes
(0000414)
levy (developer)
2011-03-31 10:28

As a workaround make sure that all lines starting with "attr enum" in *.vec and *.vci files include all possible values.

That means the following line is wrong because it misses the value 1.
attr enum "RX_BUSY=5, RX_IDLE=4, SWITCHING=6, TRX_OFF=0, TX_BUSY=3, TX_IDLE=2"

Let me know if this helps.
It will be probably fixed in 4.2
(0000415)
jsabater (reporter)
2011-03-31 11:22

Yes, adding a value for 1 solves the issue!

Thank you for your help!

- Issue History
Date Modified Username Field Change
2011-03-30 23:06 jsabater New Issue
2011-03-30 23:06 jsabater File Added: test.tar.gz
2011-03-31 10:25 levy Assigned To => levy
2011-03-31 10:28 levy Note Added: 0000414
2011-03-31 11:22 jsabater Note Added: 0000415
2011-04-01 16:47 levy Status new => resolved
2011-04-01 16:47 levy Fixed in Version => 4.2
2011-04-01 16:47 levy Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker